//
//  DialogueCountentHttpGetCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/4/11.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "DialogueCountentHttpGetCmd.h"
#import "DialogueCountentHttpGetResult.h"

static NSString *kActionUrl1 = @"/enterprise/activity/getContent/";

@implementation DialogueCountentHttpGetCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[DialogueCountentHttpGetCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[DialogueCountentHttpGetResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    return [NSString stringWithFormat:@"%@%@",kActionUrl1,self.requestInfo[kHttpDialogueCountentHttpGetCmd_id]];
    //    return kActionUrl1;
}

@end
NSString * _Nonnull const kHttpDialogueCountentHttpGetCmd_id = @"id";
